package com.qhclh.ytzh.work.carsmannage;

import android.widget.ListView;

import com.qhclh.ytzh.R;
import com.qhclh.ytzh.base.BaseFragment;
import com.qhclh.ytzh.bean.ScanBean;
import com.qhclh.ytzh.work.scan.ScanAdapter;

import java.util.ArrayList;
import java.util.List;

import butterknife.BindView;

/**
 * Created by 青花瓷 on 2017/11/30.
 */
///< 车辆管理毛鸡
public class GrossChickenFragment extends BaseFragment {
    @BindView(R.id.lv_infos_grosschicken)
    ListView lv_infos_grosschicken;

    private List<ScanBean> scanBeanList;
    private ScanAdapter scanAdapter;
    @Override
    protected int setLayout() {
        return R.layout.fragment_grosschicken;
    }

    @Override
    protected void initView() {
    }

    @Override
    protected void initData() {
        scanBeanList = new ArrayList<>();
        for (int i=0;i<4;i++){
            scanBeanList.add(new ScanBean(i,"车牌号1"+i,"司机1"+i,"联系方式1"+i,"批次1"+i,"厂址1"+i,
                    "时间1"+i,"数量1"+i,"免疫1"+i,"均匀度1"+i,"起始时间1"+i,"到达时间1"+i));
        }
        scanAdapter = new ScanAdapter(getActivity(),scanBeanList);
        lv_infos_grosschicken.setAdapter(scanAdapter);
    }

    @Override
    protected void initOper() {

    }
}
